<?php 

/*
 * This file is used by views to setup table definitions
 */

function fengafim_views_data(){
	
	$data = array();
	$data['fengafim_node']['table']['group'] = t('Fengafim');
	$data['fengafim_node']['table']['help'] = t('These fields provide a method of communication from the store front to aegir.');
	$data['fengafim_node']['table']['join'] = array(
		'node_revisions' => array(
			'left_field' => 'vid',
			'field' => 'vid'
		),
		'node' => array(
			'left_field' => 'vid',
			'field' => 'vid'
		)
	);
	$data['fengafim_node']['demo_site'] = array(
		'title' => t('Demo Site'),
		'help' => t('Determines if this site is a demo site or not.'),
		'filter' => array( 'handler' => 'views_handler_filter_numeric' ),
		'field' => array( 'handler' => 'views_handler_field_numeric'),
		'sort' => array( 'handler' => 'views_handler_sort_numeric' )
	
	);
	$data['fengafim_node']['site_status'] = array(
		'title' => t('Site Status'),
		'help' => t('Status of the website.'),
		'filter' => array('handler' => 'views_handler_filter'),
		'field' => array('handler' => 'views_handler_field'),
		'sort' => array('handler' => 'views_handler_sort'),
	);
	$data['fengafim_node']['disabled_by_fengafim'] = array(
		'title' => t('Disabled by Admin'),
		'help' => t('If the site has been disabled by the admin'),
		'filter' => array( 'handler' => 'views_handler_filter_numeric'),
		'field' => array('handler' => 'views_handler_field_numeric'),
		'sort' => array('handler' => 'views_handler_sort_numeric'),
	);
	$data['fengafim_public_dns']['table']['group'] = t('Fengafim Public DNS');
	$data['fengafim_public_dns']['table']['help'] = t('These fields provide a list of public associated dns.');
	$data['fengafim_public_dns']['table']['join'] = array(
		'node_revisions' => array(
			'left_field' => 'vid',
			'field' => 'vid'
		),
		'node' => array(
			'left_field' => 'vid',
			'field' => 'vid'
		)
	);
	$data['fengafim_public_dns']['domain'] = array(
		'title' => t('Public Domain'),
		'help' => t('Public DNS information for the site'),
		'filter' => array( 'handler' => 'views_handler_filter'),
		'field' => array('handler' => 'views_handler_field'),
		'sort' => array('handler' => 'views_handler_sort'),
	);
	$data['fengafim_public_dns']['status'] = array(
		'title' => t('Domain Status'),
		'help' => t('Public DNS information for the site'),
		'filter' => array( 'handler' => 'views_handler_filter'),
		'field' => array('handler' => 'views_handler_field'),
		'sort' => array('handler' => 'views_handler_sort'),
	);
	
	return $data;
}


?>